Bug 30402 - Blank screen when multiple display are configured but not attached
Blank screen when multiple display are configured but not attached
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Hardware compatibility
unspecified
Other Linux
: P3 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-12 16:55 CET by Erik Damrose
Modified: 2014-06-12 09:19 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-02-12 16:55:51 CET
I have more than one display configured with a UCC hadware policy. The second display is not connected during boot. After leaving the bootsplash the screen goes blank. If the display is connected at a later point, the screen looks as expected. Testdevice was an Acer Travelmate 8371.
Comment 1 Ingo Steuwer univentionstaff 2013-09-03 16:56:14 CEST
Reproducable with a shuttle barebone (Intel Atom + Nvidia), if the behaviour of the second screen is defined in UDM systems with only one monitor connected are unusable.
Comment 2 Felix Botner univentionstaff 2014-05-15 16:20:08 CEST
fixed in /usr/sbin/univention-ucc-setup-multimonitor.

(1) disable all disconnected displays

(2) do nothing if primary or secondary display name is not set, or if both are equal
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-16 09:00:01 CEST
Ok: When configuring a dual monitor policy both screens are activated. After pulling the cable of the second monitor only the primary one is active.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:53 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".